Package org.apache.ignite.internal.managers.communication

## Class TraceRunnable

- java.lang.Object
- - org.apache.ignite.internal.managers.communication.TraceRunnable

All Implemented Interfaces:
  `Runnable`

    public abstract class TraceRunnable
    extends Object
    implements Runnable

Wrapper of `Runnable` which incject tracing to execution.

### Constructor Summary

Constructors
`protected` `TraceRunnable​(Tracing tracing, SpanType spanType)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `execute()` Main code to execution.
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceRunnable

    protected TraceRunnable​(Tracing tracing,
                            SpanType spanType)

Parameters:
  `tracing` - Tracing processor.
  `spanType` - Span type to create.

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### execute

    public abstract void execute()

Main code to execution.